<ion-header> 

  <ion-toolbar> 

    <ion-buttons slot="end">
      <ion-button>

        <ion-menu-button> </ion-menu-button>
      </ion-button>


    </ion-buttons>

  </ion-toolbar>
</ion-header>
<ion-content [fullscreen]="true" class="ion-padding">
<h1> Artistas </h1>

<ion-slides [options]="slideOption" *ngIf="artists.length"> 

<ion-slide *ngFor="let artist of artists" >

<ion-avatar (click)="showSong(artist)"> 

  <img [src]="artist.images[0].url" alt="artista"> 
  <span>{{artist.name}}</span>


</ion-avatar>
</ion-slide> 

</ion-slides>

<h1> Album </h1>
<ion-slides [options]="slideOption" *ngIf="albums.length"> 

  <ion-slide *ngFor="let album of albums" >
  
  <ion-avatar class="square-avatar" (click)="showAlbumsSongs(album)" > 
  
    <img [src]="album.images[0].url" alt="artista"> 
    <span>{{album.name}}</span>
  
  
  </ion-avatar>
  </ion-slide> 
  
  </ion-slides>


  <h1> Canciones </h1>
  <ion-slides [options]="slideOption" *ngIf="songs?.length"> 

    <ion-slide *ngFor="let song of songs">
    
    <ion-avatar class="square-avatar"> 
    
      <img [src]="song.images[0].url" alt="artista"> 
      <span> {{song.name}}</span>
    
    
    </ion-avatar>
    </ion-slide> 
    
    </ion-slides>


</ion-content>

<ion-footer>
  <ion-grid>
    <ion-row *ngIf="currentSong">
      <ion-col class="ion-text-start">{{
        parseTime(currentSong.currentTime) || "00:00"
      }}</ion-col>
      <ion-col class="ion-text-end">{{
        parseTime(currentSong.duration) || "00:00"
      }}</ion-col>
    </ion-row>
  </ion-grid>
  <ion-progress-bar [value]="newTime"></ion-progress-bar>
  <ion-grid>
    <ion-row>
      <ion-col size="1">
        <ion-icon name="heart"></ion-icon>
      </ion-col>
      <ion-col size="10">
        <ion-text>{{
          song.name || "Aún no has seleccionado cancion"
        }}</ion-text>
      </ion-col>
      <ion-col size="1">
        <ion-icon name="play" (click)="play()" *ngIf="!song.playing"></ion-icon>
        <ion-icon
          name="pause"
          (click)="pause()"
          *ngIf="song.playing"
        ></ion-icon>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-footer>





<!-- <ion-footer style="color:white;"> 

  <ion-grid> 

    <ion-row> 
      <ion-col class="ion-text-start" >{{ parseTime(currentSong?.currentTime) || '0:00'}}</ion-col>
      <ion-col class="ion-text-end" >{{parseTime(currentSong?.duration) || '0:00'}}</ion-col>

    </ion-row>

  </ion-grid>

  <ion-progress-bar [value]="newTime"> </ion-progress-bar>


     
<ion-grid>

  <ion-row *ngIf="currentSong"> 
    <ion-col size="1">
      <ion-icon name="heart"> </ion-icon>
    </ion-col>
    <ion-col class="ion-text-end" size="10" > 
      {{song?.name}}
     </ion-col>

     <ion-col size="1">
      <ion-icon name="play"  (click)="play()"  *ngIf="!song?.playing"> </ion-icon>

      <ion-icon name="pause"  (click)="pause()"  *ngIf="song?.playing"> </ion-icon>

    </ion-col>



  </ion-row>

  
</ion-grid>
</ion-footer> -->
